=== imaging/components/CMakeLists.txt ===
#
# DO NOT EDIT THIS FILE (unless you REALLY know what you are doing)
#
# To add a component, just add a subdirectory (the component name is the 
# directory name). Add all your code there and a text file called
# CMakeLists.txt 
# In your CMakeLists.txt, use the camitk_extension(COMPONENT_EXTENSION ...) macro apropriately

# Inform the user he has the choice of the DICOM component, by default uses the incomplete ITK one
# Complete dicomdirectory and dicomimage ones require GDCM library
option(CAMITK_DICOM_INCOMPLETE_SUPPORT "Use incomplete support of DICOM images via ITK" TRUE)

if (NOT CAMITK_DICOM_INCOMPLETE_SUPPORT)
    add_subdirectory(dicomdirectory)
    add_subdirectory(dicomimage)
else()
    message(WARNING "Using old component dicom (using ITK), prefer using dicomdirectory and dicomimage components (which require GDCM library)")
    add_subdirectory(dicom)
endif() 

# TODO restore when dicom component would have been replaced by new ones (using GDCM)
# find components
# get_subdirectories(COMPONENTS_LIST)

# Add subdirectories in CMake project
# foreach(COMPONENT_NAME ${COMPONENTS_LIST})
#   add_subdirectory(${COMPONENT_NAME})
# endforeach()

add_subdirectory(itkimage)
