=== imaging/actions/itkfilters/CMakeLists.txt ===
camitk_extension(
                    ACTION_EXTENSION
                    NEEDS_ITK
                    LIBRARIES ITKBasicFilters ITKCommon ITKIO
                    CEP_NAME CEP_IMAGING
                    DESCRIPTION "This action features basic ITK image processing filters"
)
