=== imaging/components/dicom/CMakeLists.txt ===
# dicom component just needs to use the component_extension macro
camitk_extension(   COMPONENT_EXTENSION
                    NEEDS_ITK
                    CEP_NAME CEP_IMAGING
                    DESCRIPTION  "This component allows the handling of DICOM images using GDCM 2.2"
)
