=== imaging/components/itkimage/CMakeLists.txt ===
# itkimage component just needs to use the component_extension macro
camitk_extension(   COMPONENT_EXTENSION 
                    NEEDS_ITK 
                    CEP_NAME CEP_IMAGING
                    DESCRIPTION "This component allows CamiTK to handle basic ITK format images."
)
