=== sdk/applications/config/CMakeLists.txt ===
camitk_application( ADDITIONAL_SOURCES CommandLineOptions.cxx CommandLineOptions.hxx CommandLineOptions.ixx
                    CEP_NAME SDK
                    DESCRIPTION "Provides information on your installation of CamiTK"
)

if(APPLICATION_CONFIG)
    # prepare the CamiTKConfig.cmake for installation
    install(CODE "message(STATUS \"Updating CamiTKDir.txt in User Config Directory (${CAMITK_USER_DIR}) to ${CMAKE_INSTALL_PREFIX} \")")
    install(CODE "configure_file(${CMAKE_CURRENT_SOURCE_DIR}/CamiTKDir.txt.in ${CMAKE_BINARY_DIR}/CamiTKDir.txt @ONLY)")
endif()
