=== modeling/libraries/mml/applications/CMakeLists.txt ===
# generation benchmark binary is optionnal

if(MML_GENERATE_GUI)
  find_package(Qt4 REQUIRED)
  add_definitions(-DMML_GENERATE_GUI)
  add_subdirectory(gui)
endif()

option(MML_GENERATE_BENCHMARK "Generates benchmark binary" OFF)
if(MML_GENERATE_BENCHMARK)
  add_subdirectory(benchmark)
endif()

if(MML_SOFA_SUPPORT)
    option(MML_GENERATE_SCN2PML "Generates scn2pml binary" OFF)
    if(MML_GENERATE_SCN2PML)
    add_subdirectory(scn2pml)
    endif()
endif()

option(MML_GENERATE_PML2MMLOUT "Generates pml2mmlOut binary" OFF)
if(MML_GENERATE_PML2MMLOUT)
  add_subdirectory(pml2mmlOut)
endif()

option(MML_GENERATE_PARAMEXPLORER "Generates paramExplorer binary" OFF)
if(MML_GENERATE_PARAMEXPLORER)
  add_subdirectory(paramExplorer)
endif()

option(MML_GENERATE_MML2CSV "Generates mml2Csv binary" OFF)
if(MML_GENERATE_MML2CSV)
  add_subdirectory(convertMml/mml2Csv)
endif()

option(MML_GENERATE_CSV2STATSVAL "Generates csv2StatsVal binary" OFF)
if(MML_GENERATE_CSV2STATSVAL)
  add_subdirectory(convertMml/csv2Sthing/csv2StatsVal)
endif()

option(MML_GENERATE_CSV2PLOT "Generates csv2Plot binary" OFF)
if(MML_GENERATE_CSV2PLOT)
  set (TOOL_QCUSTOMPLOT ON CACHE BOOL "required for convertMMlGui" FORCE)
  add_subdirectory(convertMml/csv2Sthing/csv2Plot)
endif()

option(MML_GENERATE_CONVERTMMLGUI "Generates convertMmlGui binary" OFF)
if(MML_GENERATE_CONVERTMMLGUI)
  set (TOOL_QCUSTOMPLOT ON CACHE BOOL "required for convertMMlGui" FORCE)
  set (MML_GENERATE_CSV2PLOT ON CACHE BOOL "required for convertMMlGui" FORCE)
  set (MML_GENERATE_CSV2STATSVAL ON CACHE BOOL "required for convertMMlGui" FORCE)
  set (MML_GENERATE_MML2CSV ON CACHE BOOL "required for convertMMlGui" FORCE)
  add_subdirectory(convertMml/convertMmlGui)
endif()

# TODO Find(sofa)...
if(MML_SOFA_SUPPORT)
  if(WIN32)
    set(MML_SOFA_LIB_DIR ${MML_SOFA_DIR}/lib/win32 ${MML_SOFA_DIR}/lib)
  else(WIN32)
    set(MML_SOFA_LIB_DIR ${MML_SOFA_DIR}/lib/linux ${MML_SOFA_DIR}/lib)
  endif(WIN32)
  set(MML_bin_link ${MML_bin_link} ${MML_SOFA_LIB_DIR})
endif(MML_SOFA_SUPPORT)


link_directories(${MML_bin_link})
