=== sdk/actions/mesh/meshprocessing/CMakeLists.txt ===
camitk_extension(   ACTION_EXTENSION
                    NEEDS_COMPONENT_EXTENSION vtkmesh
                    DEFINES COMPILE_MESHPROCESSING_ACTION_API
                    CEP_NAME SDK
                    DESCRIPTION "Features some nice algorithms to process on meshes"
                )
