=== modeling/libraries/mml/applications/convertMml/mml2Csv/CMakeLists.txt ===
project(mml2Csv)

cmake_minimum_required(VERSION 2.6)



include_directories(    ${CMAKE_CURRENT_SOURCE_DIR}
                        ${CMAKE_CURRENT_BINARY_DIR}
                        ${CAMITK_INCLUDE_DIR}
                        ${CAMITK_INCLUDE_DIR}/libraries/mml
                        ${CAMITK_INCLUDE_DIR}/libraries/monitoring
                        ${MML_INCLUDE_DIRECTORIES}
            )

set(mml2Csv_LIBRARIES
  ${MML_LIBRARIES} #for xerces and libxml2
)

set(HEADERS
  mml2Csv.h
  dataMonitoredList.h
)

set(SRCS
  mml2Csv.cpp
  dataMonitoredList.cpp
  main.cpp
  ${HEADERS}
)

link_directories(${mml2Csv_link})

add_executable(mml2Csv ${SRCS})

target_link_libraries(mml2Csv ${mml2Csv_LIBRARIES} library-monitoring)

add_custom_target(mml2CsvBin ALL)

add_dependencies(mml2Csv library-monitoring)
