=== debian/changelog ===
camitk (3.2.1-1) unstable; urgency=low

  [ Emmanuel Promayon ]
  * New upstream release.
    - Update STL obsolete code. Closes: #701250
  * New package for camitk actionstatemachine
  * Updated debian/watch (web site change)
  * Updated debian/copyright due to new source organization in upstream
  * Updated debian/control due to new source organization in upstream
  * Patches:
    - desktop file (camitk-imp-categories.diff)
    - clean version id (remove-svn-revision.diff)
    - force dlopen path to load unfound library 
      (load-private-lib-if-needed.diff)
    - use install path to share directory, needed when data are not installed
      (wizard-copy-proper-findcamitk.diff)
  * XPM icon

  [ Andreas Tille ]
  * debian/rules:
     - get-orig-source: create download dir if needed
     - Use xz compression

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Tue, 02 Jul 2013 09:25:22 +0200
