=== debian/control ===
Source: camitk
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>, Emmanuel Promayon <Emmanuel.Promayon@imag.fr>
Build-Depends: debhelper (>= 9), cmake (>= 2.6), libvtk5-dev (>= 5.8), libqt4-dev (>= 4.7), libvtk5-qt4-dev (>= 5.8), xsdcxx (>= 3.2), libinsighttoolkit3-dev (>= 3.20), libxerces-c-dev (>= 3.1), libxml2-dev (>= 2.7), libgdcm2-dev (>= 2.0), libfftw3-dev, libqtwebkit-dev | libqt4-dev (<< 4.7), libvtkgdcm2-dev (>= 2.0), tcl-vtk, python-vtk, libvtk-java
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 3.9.4
Homepage: http://camitk.imag.fr/
X-Homepage: https://forge.imag.fr/projects/camitk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/camitk/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/camitk/trunk/

Package: libcamitk3
Architecture: any
Depends: libqtpropertybrowser3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Computer Assisted Medical Intervention Tool Kit - runtime
 Helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations.
 .
 This package contains the shared libraries needed to run CamiTK applications.

Package: libcamitk3-dev
Architecture: any
Section: libdevel
Depends: libcamitk3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Computer Assisted Medical Intervention Tool Kit - development
 Helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations. 
 .
 This package contains development files needed to build CamiTK applications.
 This package also provides the CamiTK wizard to create new extensions.

Package: libcamitk3-data
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Computer Assisted Medical Intervention Tool Kit - data
 Helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations.
 .
 This package contains the example and test data for CamiTK.

Package: libcamitk3-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Computer Assisted Medical Intervention Tool Kit - documentation
 Helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations. 
 .
 This package contains the documentation for CamiTK.

Package: camitk-imp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: flagship application for the CamiTK library
 CamiTK helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations.
 .
 camitk-imp is the CamiTK workbench application where you can test
 all available extensions for prototyping.
 It provides an easy and interactive access to all available data and
 algorithm parameters, including the one you build yourself using
 the CamiTK SDK.
 .
 For example, camitk-imp can visualize medical images from a lot of different
 (standard) formats, offers image processing and segmentation algorithms to
 reconstruct a mesh geometry and run a biomechanical simulation.

Package: camitk-actionstatemachine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: flagship application for the CamiTK library
 CamiTK helps researchers and clinicians to easily and rapidly collaborate in
 order to prototype CAMI applications, that feature medical images,
 surgical navigation and biomechanical simulations.
 .
 camitk-actionstatemachine is able to replay a pipeline (workflow) of CamiTK 
 actions.
 This application takes an CamiTK augmented version of a SCXML subset as input
 and allow to replay interactive the described state-machine containing a list
 of CamiTK actions and transitions.

Package: libqtpropertybrowser3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt Property Browser Library - runtime
 A framework providing a set of graphical editors for 
 Qt properties similar to the one used in Qt Designer.
 .
 This package contains the shared libraries needed to run applications
 linked against libqtpropertybrowser3.

Package: libqtpropertybrowser3-dev
Architecture: any
Section: libdevel
Depends: libqtpropertybrowser3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Qt Property Browser Library - development
 A framework providing a set of graphical editors for 
 Qt properties similar to the one used in Qt Designer.
 .
 This package contains development files needed to build applications
 using Qt Property Browser
